package recursion

import (
	"logik/aussagenlogik/formulae"
)

/* ---------------------------------------------------------------- *
 * METHOD: Atoms
 * ---------------------------------------------------------------- */

func Atoms(tree formulae.Formula) []string {
	// Definiere Schema:
	var schema = func(tree formulae.Formula, prevValues [][]string) []string {
		// Herausforderung: schreibe diese Funktion!
		return []string{}
	}
	// Erzeuge Funktion aus Schema und berechne Wert:
	fn := formulae.CreateFromSchemeStringsValued(schema)
	return fn(tree)
}
